# IAX2FrameIdValue Class Reference

`#include <remote.h>`

## Public Member Functions

| IAX2FrameIdValue (PINDEX timeStamp, PINDEX seqVal)
| IAX2FrameIdValue (PINDEX val)
PINDEX | GetTimeStamp () const
PINDEX | GetSequenceVal () const
PINDEX | GetPlainSequence () const
virtual void | PrintOn (ostream &strm) const
virtual Comparison | Compare (const PObject &obj) const

## Protected Attributes

PUInt64 | value

## Detailed Description

A class to store the timestamp and sequence number in a indexable fashion.

This class will be used as a key into the sorted list, which is declared below (PacketIdList). This class is required because pwlib's dictionaries requires the key to be a descendant from a PObject

The 32 bit timestamp is left shifted by 8 bits, and the result is added to the 8 bit seqno value

## Constructor & Destructor Documentation

IAX2FrameIdValue::IAX2FrameIdValue | ( | PINDEX | timeStamp,
|  | PINDEX | seqVal |
| ) |  |  |

Constructor. to timestamp<<8 + sequenceNumber

IAX2FrameIdValue::IAX2FrameIdValue | ( | PINDEX | val | ) |

Constructor to some value

## Member Function Documentation

virtual Comparison IAX2FrameIdValue::Compare | ( | const PObject & | obj | ) | const`[virtual]`

Declare this method so that all comparisons (as used in sorted lists) work. correctly

PINDEX IAX2FrameIdValue::GetPlainSequence | ( |  | ) | const

Retrieve the bottom 32 bits. In this call, the data is assumed to be no timestamp, and sequence number could be > 255. This is used for the iseqno of transmitted packets

PINDEX IAX2FrameIdValue::GetSequenceVal | ( |  | ) | const

Retrieve this sequence number.

PINDEX IAX2FrameIdValue::GetTimeStamp | ( |  | ) | const

Retrieve this timestamp

virtual void IAX2FrameIdValue::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Pretty print this data to the designated stream

## Field Documentation

PUInt64 IAX2FrameIdValue::value `[protected]`

The combination of time and sequence number is stored in this element, which is a pwlib construct of 64 bits

The documentation for this class was generated from the following file:

- remote.h